%define upstream_name publicsuffix2

Name:           python-%{upstream_name}
Version:        2.20191221
Release:        %mkrel 3
Summary:        Get a public suffix for a domain name using the Public Suffix List
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/publicsuffix2/
Source0:        https://files.pythonhosted.org/packages/d6/85/9db8dad427476ed906adfec4e212e9edc9b040fb0b9928b4857f00933a82/%{upstream_name}-%{version}.tar.gz
BuildArch:      noarch

%description
This module allows you to get the public suffix of a domain name using the
Public Suffix List from http://publicsuffix.org

%package -n     python3-%{upstream_name}
Summary:        Get a public suffix for a domain name using the Public Suffix List
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(requests)

%description -n python3-%{upstream_name}
This module allows you to get the public suffix of a domain name using the
Public Suffix List from http://publicsuffix.org

%prep
%setup -q -n %{upstream_name}-%{version}

%build
%py3_build

%install
%{__python3} setup.py install --single-version-externally-managed --skip-build --root %{buildroot}

%files -n python3-%{upstream_name}
%doc README.rst
%{python3_sitelib}/publicsuffix2
%{python3_sitelib}/publicsuffix2-%{version}-*.egg-info


%changelog
* Thu Jul 23 2020 ovitters <ovitters> 2.20191221-3.mga8
+ Revision: 1608294
- rebuild for removing pythonegg buildrequires in srpm

* Wed Feb 19 2020 umeabot <umeabot> 2.20191221-2.mga8
+ Revision: 1544523
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 guillomovitch <guillomovitch> 2.20191221-1.mga8
+ Revision: 1483140
- new version 2.20191221

* Wed Oct 02 2019 guillomovitch <guillomovitch> 2.20190812-1.mga8
+ Revision: 1448946
- new version 20190812
- drop python2 support

* Mon Jul 01 2019 guillomovitch <guillomovitch> 2.20190205-1.mga8
+ Revision: 1417158
- imported package python-publicsuffix2

